org.apache.ignite.transactions

## Class TransactionDuplicateKeyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.transactions.TransactionException
          - - org.apache.ignite.transactions.TransactionDuplicateKeyException

All Implemented Interfaces:
  Serializable

    public class TransactionDuplicateKeyException
    extends TransactionException

Exception thrown whenever transaction tries to inserts entry with same mvcc version more than once.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TransactionDuplicateKeyException(String msg)` Creates new duplicate ket exception with given error message.
`TransactionDuplicateKeyException(String msg, Exception cause)` Creates new duplicate ket exception with given error message.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TransactionDuplicateKeyException

    public TransactionDuplicateKeyException(String msg,
                                            Exception cause)

Creates new duplicate ket exception with given error message.

Parameters:
  `msg` - Error message.\
  `cause` - Optional nested exception (can be `null`).

#### TransactionDuplicateKeyException

    public TransactionDuplicateKeyException(String msg)

Creates new duplicate ket exception with given error message.

Parameters:
  `msg` - Error message.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020